#!/bin/bash
##########################################
# File Name:10_check_cmd.sh
# Version:V1.0
# Author:zhangpeng
# 0rganization:linuxjk.cn
# Desc:案例10:通过脚本传参输入任何一个命令并执行，检查这个命令的执行结果是否正确
###########################################
#1.vars
cmd="$@"


#2.检查脚本参数个数是否为0（输入是否为空），如果输入为空则退出
if [ $# -eq 0 ]
then
	echo "error!!! please input correct command"
	echo "help: sh $0 cmd"
	exit 1
fi

#3.执行输入的命令，输出定向到空
$cmd &> /dev/null

#4.进行判断上一条命令的返回值，为0则成功
if [ $? -eq 0 ]
then
	echo "${cmd} success!"
else
	echo "${cmd} error!"
fi
